Pult Docs

Get a user

Beta

GET
/users/{userId}

Gets one user of your organization by id, whatever their status. Guests and other organizations' users are not found.

Authorization

headerAuthorizationBearer <pult_<base62>>

An API key created by an admin of your organization in the Pult dashboard, sent as Authorization: Bearer <key>. Keys start with pult_.

Path Parameters

userId*string

The user's id.

Response Body

OK

application/json
  1. response
data*

A member of your organization.

Example Request
curl -X GET 'https://api.pult.com/v1beta/users/string' \  -H 'Authorization: Bearer pult_<key>'
Example Response
{  "data": {    "id": "string",    "email": "string",    "firstName": "string",    "lastName": "string",    "timeZone": "string",    "status": "active",    "archivedAt": "2019-08-24T14:15:22Z",    "groups": [      {        "id": "string",        "name": "string"      }    ],    "createdAt": "2019-08-24T14:15:22Z"  }}